# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'microplane/version'

Gem::Specification.new do |spec|
  spec.name          = 'microplane'
  spec.version       = Microplane::VERSION
  spec.authors       = ['Carl Thuringer']
  spec.email         = ['carlthuringer@gmail.com']

  spec.summary       = 'A stack-oriented, extensible microlanguage'
  spec.description   = 'A general-purpose microlanguage for configurable objects.'
  spec.homepage      = 'https://www.github.com/carlthuringer'
  spec.license       = 'Apache 2.0'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.6.0'
  spec.add_development_dependency 'ruby-prof', '~> 0.16.2'
  spec.add_development_dependency 'benchmark-ips', '~> 2.7.2'
end
